Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdSSVertexStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumVertices ()
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
HRESULT | weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | subdiv ([in] RtDWORD dwIndex,[out, retval] RtLong *pVal)
HRESULT | subdiv ([in] RtDWORD dwIndex,[in] RtLong newVal)

## Detailed Description

IRdSSVertexStream specifies per-vertex subdivision and vertex weight. Elements are stored in RtVertexSubdivInfo structure.

The stream is part of IRdMesh and is stored in Vertex stream group. Stream is identified by STREAMID_VERTEX_SS_INFO id.

## Member Function Documentation

RtDWORD IRdSSVertexStream::GetNumVertices | ( |  | ) |

| Get number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdSSVertexStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

| Set number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdSSVertexStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get weight for i-th vertex Parameters:
  dwIndex | vertex index
  newpVal | vertex weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdSSVertexStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set weight for i-th vertex Parameters:
  dwIndex | vertex index
  newpVal | vertex weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdSSVertexStream::subdiv | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtLong * | pVal
| ) |

  | Get subdivision level for i-th vertex Parameters:
  dwIndex | vertex index
  pVal | vertex subdiv level
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdSSVertexStream::subdiv | ( | [in] RtDWORD | dwIndex,
|  | [in] RtLong | newVal
| ) |

  | Set subdivision level for i-th vertex Parameters:
  dwIndex | vertex index
  newVal | vertex subdiv level
Returns: standard HRESULT processing can be applied to returned value